Obtains the current clipping path ID

- « ImagickDraw::ellipse

- ImagickDraw::getClipRule »

- PHP Manual
- ImagickDraw
- Obtains the current clipping path ID

# ImagickDraw::getClipPath

(PECL imagick 2, PECL imagick 3)

ImagickDraw::getClipPath — Obtains the current clipping path ID

### Description

public ImagickDraw::getClipPath(): false|string
Warning

This function is currently not documented; only its argument list is available.

Obtains the current clipping path ID.

### Return Values

Returns a string containing the clip path ID or false if no clip path exists.